# Uses of Class
org.xnio.channels.AssembledConnectedStreamChannel

Packages that use AssembledConnectedStreamChannel
Package
Description
org.xnio.channels
The core XNIO channel API.

## Uses of AssembledConnectedStreamChannel in org.xnio.channels

Subclasses of AssembledConnectedStreamChannel in org.xnio.channels
Modifier and Type
Class
Description
`class`
`AssembledConnectedSslStreamChannel`
A connected SSL stream channel assembled from a stream source and stream sink.
Methods in org.xnio.channels that return types with arguments of type AssembledConnectedStreamChannel
Modifier and Type
Method
Description
`ChannelListener.Setter<? extends AssembledConnectedStreamChannel>`
AssembledConnectedStreamChannel.`getCloseSetter()`
`ChannelListener.Setter<? extends AssembledConnectedStreamChannel>`
AssembledConnectedStreamChannel.`getReadSetter()`
`ChannelListener.Setter<? extends AssembledConnectedStreamChannel>`
AssembledConnectedStreamChannel.`getWriteSetter()`